/*
 *  linux/include/linux/atariconf.h
 *
 *  Copyright (C) 1994        Bjrn Brauel
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file README.legal in the main directory of this archive
 * for more details.
 */

#ifndef _LINUX_ATARICONF_H_
#define _LINUX_ATARICONF_H_ 1

#include <linux/atarihw.h>

extern void atari_sched_init(isrfunc);
extern unsigned long atari_keyb_init(unsigned long);
extern void atari_init_INTS (void);
extern int atari_add_isr (unsigned long, isrfunc, int, void *);
extern unsigned long atari_gettimeoffset (void);
extern void atari_gettod (struct mktime *);
extern void atari_check_partition (struct gendisk *hd, unsigned int dev);
extern struct consw ata_con;

static __inline void config_atari(void)
{
    mach_sched_init      = atari_sched_init;
    mach_keyb_init       = atari_keyb_init;
    mach_init_INTS       = atari_init_INTS;
    mach_gettimeoffset   = atari_gettimeoffset;
    mach_gettod          = atari_gettod;
    mach_check_partition = atari_check_partition;
    conswitchp	         = &ata_con;

}

#endif /* linux/atariconf.h */
